Bug#961275: buster-pu: package jameica/2.8.4+dfsg-1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#961275: buster-pu: package jameica/2.8.4+dfsg-1

Jochen Sprickerhof-5
Package: release.debian.org
Severity: normal
Tags: buster
User: [hidden email]
Usertags: pu

Hi SRMs,

I would like to update jameica in buster to allow use of SynTax, a
jameica plugin not packaged in Debian. The attached patch adds
mckoisqldb.jar to the classpath, as done by upstream and was only
removed in debian/patches by accident. The dependency to
libmckoisqldb-java is already fulfilled through jameica ->
libjameica-datasource-java -> libmckoisqldb-java and only added to make
it explicit.
Due to the dependency already present and just adding an extra jar, I
don't expect side effects. This has also been tested in unstable and
testing.

The original problem was reported by a PureOS user via mail, so there is
no corresponding bug in the BTS, but I can create one if you want me to.

Cheers Jochen

-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.6.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

0001-Add-mckoisqldb-to-classpath.patch (2K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#961275: buster-pu: package jameica/2.8.4+dfsg-1

Adam D. Barratt
Control: tags -1 + confirmed

On Fri, 2020-05-22 at 13:32 +0200, Jochen Sprickerhof wrote:
> I would like to update jameica in buster to allow use of SynTax, a
> jameica plugin not packaged in Debian. The attached patch adds
> mckoisqldb.jar to the classpath, as done by upstream and was only
> removed in debian/patches by accident. The dependency to
> libmckoisqldb-java is already fulfilled through jameica ->
> libjameica-datasource-java -> libmckoisqldb-java and only added to
> make it explicit.

I've been debating this, given the fact that the extra functionality
requires software outside of the archive.

On balance, please go ahead.

Regards,

Adam

Reply | Threaded
Open this post in threaded view
|

Bug#961275: jameica 2.8.4+dfsg-1+deb10u1 flagged for acceptance

Adam D. Barratt
In reply to this post by Jochen Sprickerhof-5
package release.debian.org
tags 961275 = buster pending
thanks

Hi,

The upload referenced by this bug report has been flagged for acceptance into the proposed-updates queue for Debian buster.

Thanks for your contribution!

Upload details
==============

Package: jameica
Version: 2.8.4+dfsg-1+deb10u1

Explanation: add mckoisqldb to classpath, allowing use of SynTAX plugin